import modal
from BowongModalFunctions.config import WorkerConfig
from .video import app as media_app
from .web import app as web_app
from .ffmpeg_app import app as ffmpeg_app
# from .comfyui_v1 import app as comfyui_v1_app
# from .comfyui_v2 import app as comfyui_v2_app

config = WorkerConfig()

app = modal.App(config.modal_app_name,
                include_source=False,
                secrets=[modal.Secret.from_name("cf-kv-secret")])

app.include(media_app)
app.include(ffmpeg_app)
app.include(web_app)
# app.include(comfyui_v1_app)
# app.include(comfyui_v2_app)
